#version 430 core

// Input variables
in VertexData
{
	vec3 color;
	vec2 tex_coord;
} inData;

// Output variables
layout (location = 0) out vec4 final_color;

layout (binding = 0) uniform sampler2D particle_texture;

//-----------------------------------------------------------------------

void main()
{
	float intensity = texture(particle_texture, inData.tex_coord).r;
	final_color = vec4(inData.color * intensity, intensity);
}

//-----------------------------------------------------------------------